#ifndef _CSCONV_H
#define _CSCONV_H

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

#define CSC_BASE_DIR_DEFAULT "/usr/lib/iiim/csconv"
#define CSC_PATH "/usr/lib/iiim/csconv/csconv.so"

/* public interface */
typedef struct _csconv_info *   csconv_t;
extern csconv_t csconv_open_locale(const char *, const char *, const char *);
extern csconv_t csconv_open(const char *, const char *);
extern size_t csconv(csconv_t, const char **, size_t *, char **, size_t *);
extern int csconv_close(csconv_t);


#ifdef __cplusplus
}
#endif

#endif /* !_CSCONV_H */
